summaryrefslogtreecommitdiffstats
path: root/source/ap/linuxdoc-tools/arm/build
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/ap/linuxdoc-tools/arm/build
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/ap/linuxdoc-tools/arm/build')
-rwxr-xr-xsource/ap/linuxdoc-tools/arm/build48
1 files changed, 48 insertions, 0 deletions
diff --git a/source/ap/linuxdoc-tools/arm/build b/source/ap/linuxdoc-tools/arm/build
new file mode 100755
index 000000000..d59da3271
--- /dev/null
+++ b/source/ap/linuxdoc-tools/arm/build
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+# armel/build
+# Check package dependencies, set metadata and launch
+# package build script.
+# by Stuart Winter <stuart@armedslack.org>
+#
+source /usr/share/slackdev/buildkit.sh
+
+# Package metadata:
+export PKGNAM=linuxdoc-tools
+export VERSION=${VERSION:-0.9.56}
+export PKGARCH=${PKGARCH:-arm}
+export BUILD=${BUILD:-1}
+export PKGSERIES=${PKGSERIES:-ap}
+export SLACKPACKAGE=$PKGNAM-$VERSION-$PKGARCH-$BUILD.tgz
+export PKGEXT=${PKGEXT:-tgz}
+
+# Ensure base ARM packages are installed first:
+slackbasedeps
+
+# Ensure $PKGNAM isn't already installed:
+slackfailpkgdeps $PKGNAM || removepkg $PKGNAM
+
+# Ensure specific build dependencies - libraries and development tools.
+# There are many more dependencies but these are the core ones I picked out
+# as I was building the software included within this package.
+#
+#slackcheckpkgdeps libxml2 || installpkg $PKGSTORE/l/libxml2-*.tgz
+# to unpack some SRPMs:
+#slackcheckpkgdeps rpm || installpkg $PKGSTORE/ap/rpm-*.tgz
+# for OpenJade:
+#slackcheckpkgdeps tetex || installpkg $PKGSTORE/t/tetex-[0-9]*.tgz
+# for AsciiDoc:
+#slackcheckpkgdeps python || installpkg $PKGSTORE/d/python-[0-9]*.tgz
+# Ensure the packages are installed; exit if not.
+#slackcheckpkgdeps python,libxml2,rpm,tetex || exit 99
+
+# Stop daemons/processes which tend to modify the contents of the filesystem:
+altertrackprep
+
+# Launch the package build script:
+BUILDLOG=$( basename $SLACKPACKAGE .tgz ).build.log
+# ( ./$PKGNAM.SlackBuild ) >& /dev/stdout | tee $BUILDLOG
+( ./trackbuild.$PKGNAM ) >& /dev/stdout | tee $BUILDLOG
+
+# Compress the build log:
+bzip2 -9f $BUILDLOG